--- title: "getScanner" slug: "analytics-datacatalog-scanner-getscanner" tags: ["Data Catalog"] updated: 2026-09-17T09:47:59Z published: 2026-09-17T09:47:59Z canonical: "api.ncloud-docs.com/analytics-datacatalog-scanner-getscanner" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getScanner Available in VPC Get details of a scanner. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/catalogs/{catalogId}/scanners/{scannerId} | ### Request headers For information about the headers common to all Data Catalog APIs, see [Data Catalog request headers](/docs/en/analytics-datacatalog#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `catalogId` | Integer | Required | Catalog ID - See [getCatalogs](/docs/en/analytics-datacatalog-catalog-getcatalogs). | | `scannerId` | Integer | Required | Scanner ID - See [getScanners](/docs/en/analytics-datacatalog-scanner-getscanners). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://datacatalog.apigw.ntruss.com/api/v1/catalogs/4**/scanners/9**' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `scannerId` | Integer | - | Scanner ID | | `name` | String | - | Scanner name | | `status` | String | - | Scanner status - `SCANNER_IDLE` \| `SCANNER_STARTING` \| `SCANNER_RUNNING` \| `SCANNER_STOPPING` \| `SCANNER_DONE` - `SCANNER_IDLE`: Pending execution - `SCANNER_STARTING`: Execution started - `SCANNER_RUNNING`: Running - `SCANNER_STOPPING`: Execution stopped - `SCANNER_DONE`: Execution completed | | `description` | String | - | Scanner description - Displayed if a value exists | | `type` | String | - | Source data type | | `location` | String | - | Source data path | | `schedule` | String | - | Cron expression for scanner execution cycle - Displayed if periodic execution is set | | `scheduleType` | String | - | Scanner execution cycle - `ON_DEMAND` \| `EVERY_DAY` \| `EVERY_WEEK` \| `EVERY_MONTH` \| `CRON` - `ON_DEMAND`: On-demand (upon user request) - `EVERY_DAY`: Every day - `EVERY_WEEK`: Every week - `EVERY_MONTH`: Every month - `CRON`: Cron | | `opAddType` | String | - | Collection options when adding schema - `UPDATE_TABLE` \| `ADD_NEW_COLUMNS_ONLY` \| `IGNORE_UPDATE` - `UPDATE_TABLE`: Update table definition. - `ADD_NEW_COLUMNS_ONLY`: Only add new column. - `IGNORE_UPDATE`: Ignore. | | `opDelType` | String | - | Options when deleting schema - `DEL_NO`: Ignore (valid value). | | `includePattern` | String | - | Patterns to include in scan | | `excludePattern` | String | - | Patterns to exclude from scan - Exclusion patterns take precedence over inclusion patterns. | | `tablePrefixName` | String | - | Output data prefix - Displayed if a value exists | | `lastExecStartTime` | String | - | Last scanner execution date and time - ISO 8601 format | | `lastExecElapsedTime` | Integer | - | Last scanner execution time (second) | | `lastResult` | String | - | Last scanner execution result | | `isSchedulePaused` | Integer | - | Whether to pause the execution cycle - `1` \| `0` - `1`: Pause - `0`: Pause unavailable | | `catalogId` | Integer | - | Catalog ID | | `connectionId` | Integer | - | Connection ID | | `classifierResponseList` | Array | - | Classifier list: [classifierResponseList](/docs/en/analytics-datacatalog-scanner-getscanner#classifierResponseList) - Displayed if set as the scanner execution option | | `databaseName` | String | - | Database name for the output data | | `createTime` | String | - | Scanner creation date and time - ISO 8601 format | | `updateTime` | String | - | Update date and time - ISO 8601 format | | `lastHistoryUuid` | String | - | Last execution history UUID | #### `classifierResponseList` The following describes `classifierResponseList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `disabled` | Boolean | - | Non-availability - `true` \| `false` - `true`: Unavailable - `false`: Available | | `classifierId` | Integer | - | Classifier ID | | `catalogId` | Integer | - | Catalog ID | | `name` | String | - | Classifier name | | `type` | String | - | Classifier type - `CSV` \| `JSON` \| `XML` - `CSV`: CSV file - `JSON`: JSON file - `XML`: XML file | | `value` | String | - | Details by classifier type - CSV: Column separator - JSON: Metadata creation target path - XML: Row classification tag name | | `createTime` | String | - | Classifier creation date and time - ISO 8601 format | ### Response status codes For information about the HTTP status codes common to all Data Catalog APIs, see [Data Catalog response status codes](/docs/en/analytics-datacatalog#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "scannerId": 9**, "name": "employee_list", "status": "SCANNER_IDLE", "description": "employee list", "type": "OBJECT_STORAGE", "location": "s3a://datacatalog-c***-e******f/my_database/employeeList/", "schedule": "0 2 1 * *", "scheduleType": "EVERY_MONTH", "opAddType": "UPDATE_TABLE", "opDelType": "DEL_NO", "tablePrefixName": "out_", "lastExecStartTime": "2025-03-19T14:44:55+0900", "lastExecElapsedTime": 6, "lastResult": "SUCCESS", "isSchedulePaused": 0, "catalogId": 4**, "classifierResponseList": [ { "disabled": false, "classifierId": 1**, "catalogId": 4**, "name": "csv_class", "type": "CSV", "value": ",", "createTime": "2025-03-19T14:41:44+0900" } ], "databaseName": "default", "createTime": "2025-03-18T09:34:42+0900", "updateTime": "2025-03-19T14:45:15+0900", "lastHistoryUuid": "********" } ```